# transparency.h File Reference

`#include "gfx_func.h"`

Go to the source code of this file.

## Typedefs
typedef uint | TransparencyOptionBits
| transparency option bits
## Enumerations
enum | TransparencyOption { TO_SIGNS = 0, TO_TREES, TO_HOUSES, TO_INDUSTRIES, TO_BUILDINGS, TO_BRIDGES, TO_STRUCTURES, TO_CATENARY, TO_LOADING, TO_END }
| Transparency option bits: which position in _transparency_opt stands for which transparency. More...
## Functions
static bool | IsTransparencySet (TransparencyOption to)
| Check if the transparency option bit is set and if we aren't in the game menu (there's never transparency).
static void | ToggleTransparency (TransparencyOption to)
| Toggle the transparency option bit.
static void | ToggleTransparencyLock (TransparencyOption to)
| Toggle the transparency lock bit.
static void | ResetRestoreAllTransparency ()
| Set or clear all non-locked transparency options.
## Variables
TransparencyOptionBits | _transparency_opt
TransparencyOptionBits | _transparency_lock

## Detailed Description

Definition in file transparency.h.

## Enumeration Type Documentation

enum TransparencyOption

Transparency option bits: which position in _transparency_opt stands for which transparency.

If you change the order, change the order of the ShowTransparencyToolbar() stuff in transparency_gui.cpp too. If you add or remove an option don't forget to change the transparency 'hot keys' in main_gui.cpp.

Enumerator:

  TO_SIGNS | signs
  TO_TREES | trees
  TO_HOUSES | town buildings
  TO_INDUSTRIES | industries
  TO_BUILDINGS | player buildings - depots, stations, HQ, ...
  TO_BRIDGES | bridges
  TO_STRUCTURES | unmovable structures
  TO_CATENARY | catenary
  TO_LOADING | loading indicators

Definition at line 15 of file transparency.h.

## Function Documentation

static bool IsTransparencySet | ( | TransparencyOption | to | ) | `[inline, static]`

Check if the transparency option bit is set and if we aren't in the game menu (there's never transparency).

Parameters:

  | to | the structure which transparency option is ask for

Definition at line 38 of file transparency.h.

References HasBit().

Referenced by DrawBridgePillars(), DrawBridgeTramBits(), DrawCatenary(), DrawCatenaryOnTunnel(), DrawCatenaryRailway(), DrawTile_Town(), DrawTile_TunnelBridge(), and DrawTramCatenary().

static void ToggleTransparency | ( | TransparencyOption | to | ) | `[inline, static]`

Toggle the transparency option bit.

Parameters:

  | to | the transparency option to be toggled

Definition at line 48 of file transparency.h.

References ToggleBit().

static void ToggleTransparencyLock | ( | TransparencyOption | to | ) | `[inline, static]`

Toggle the transparency lock bit.

Parameters:

  | to | the transparency option to be locked or unlocked

Definition at line 58 of file transparency.h.

References ToggleBit().